public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/qt:master commit in: dev-python/pyside/, dev-python/pyside/files/
@ 2012-06-03 16:33 Davide Pesavento
  0 siblings, 0 replies; only message in thread
From: Davide Pesavento @ 2012-06-03 16:33 UTC (permalink / raw
  To: gentoo-commits

commit:     8d3b638670a03518d68a920a7cf997682b191471
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Sun Jun  3 16:29:08 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sun Jun  3 16:29:08 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=8d3b6386

[dev-python/pyside] Sync with portage.

(Portage version: 2.2.0_alpha109/git/Linux x86_64, unsigned Manifest commit)

---
 dev-python/pyside/files/rpath.cmake  |   10 ++++++++++
 dev-python/pyside/pyside-9999.ebuild |   13 ++++++++++---
 2 files changed, 20 insertions(+), 3 deletions(-)

diff --git a/dev-python/pyside/files/rpath.cmake b/dev-python/pyside/files/rpath.cmake
new file mode 100644
index 0000000..b896c87
--- /dev/null
+++ b/dev-python/pyside/files/rpath.cmake
@@ -0,0 +1,10 @@
+# use, i.e. don't skip the full RPATH for the build tree
+SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+
+# when building, don't use the install RPATH already
+# (but later on when installing)
+SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+
+# add the automatically determined parts of the RPATH
+# which point to directories outside the build tree to the install RPATH
+SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

diff --git a/dev-python/pyside/pyside-9999.ebuild b/dev-python/pyside/pyside-9999.ebuild
index 64ecd83..07ebbb2 100644
--- a/dev-python/pyside/pyside-9999.ebuild
+++ b/dev-python/pyside/pyside-9999.ebuild
@@ -37,7 +37,7 @@ REQUIRED_USE="
 QT_PV="4.7.0:4"
 
 RDEPEND="
-	~dev-python/shiboken-${PV}
+	>=dev-python/shiboken-${PV}
 	>=x11-libs/qt-core-${QT_PV}
 	X? (
 		>=x11-libs/qt-gui-${QT_PV}[accessibility]
@@ -62,13 +62,18 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 
-S=${WORKDIR}/${PN}
-
 src_prepare() {
 	# Fix generated pkgconfig file to require the shiboken
 	# library suffixed with the correct python version.
 	sed -i -e '/^Requires:/ s/shiboken$/&@SHIBOKEN_PYTHON_SUFFIX@/' \
 		libpyside/pyside.pc.in || die
+
+	if use prefix; then
+		cp "${FILESDIR}"/rpath.cmake .
+		sed \
+			-i '1iinclude(rpath.cmake)' \
+			CMakeLists.txt || die
+	fi
 }
 
 src_configure() {
@@ -108,7 +113,9 @@ src_test() {
 	testing() {
 		CMAKE_BUILD_DIR="${S}_${PYTHON_ABI}" virtualmake
 	}
+	python_enable_pyc
 	python_execute_function testing
+	python_disable_pyc
 }
 
 src_install() {



^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2012-06-03 16:33 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-06-03 16:33 [gentoo-commits] proj/qt:master commit in: dev-python/pyside/, dev-python/pyside/files/ Davide Pesavento

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox